
/******************************************************************************
* MODULE     : integer_test.cc
* DESCRIPTION: Test integer numbers
* COPYRIGHT  : (C) 2003  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "integer.hpp"
using namespace mml;

int
main () {
  integer x (111111111);
  integer y (1971);
  cout << "x\t= " << x << "\n";
  cout << "y\t= " << y << "\n";
  cout << "x+y\t= " << (x+y) << "\n";
  cout << "x-y\t= " << (x-y) << "\n";
  cout << "x*y\t= " << (x*y) << "\n";
  cout << "x/y\t= " << (x/y) << "\n";
  cout << "x+=y\t= " << (x+=y) << "\n";
  cout << "x-=y\t= " << (x-=y) << "\n";
  cout << "x*=y\t= " << (x*=y) << "\n";
  cout << "x/=y\t= " << (x/=y) << "\n";
  cout << "x<<3\t= " << (x<<3) << "\n";
  cout << "x>>3\t= " << (x>>3) << "\n";
  cout << "x<<=3\t= " << (x<<=3) << "\n";
  cout << "x>>=3\t= " << (x>>=3) << "\n";
  cout << "x^2\t= " << pow(x,2) << "\n";
  cout << "x^7\t= " << pow(x,7) << "\n";
  cout << "sqrt(x)\t= " << sqrt(x) << "\n";
  cout << "x=y\t= " << (x==y) << "\n";
  cout << "x!=y\t= " << (x!=y) << "\n";
  cout << "x<y\t= " << (x<y) << "\n";
  cout << "x<=y\t= " << (x<=y) << "\n";
  cout << "x>y\t= " << (x>y) << "\n";
  cout << "x>=y\t= " << (x>=y) << "\n";
  return 0;
}
